complexType "StubValue"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | floatingRate[0..2] | stubRate? | stubAmount?
</...>

Content Model Elements (3):

  floatingRate (defined in StubValue complexType), stubAmount, | stubRate

Known Direct Subtypes (1):

  Stub

All Direct / Indirect Based Elements (4):

  finalStub (in stubCalculationPeriod), finalStub (in stubCalculationPeriodAmount), | initialStub (in stubCalculationPeriod), initialStub (in stubCalculationPeriodAmount)

Known Usage Locations

- In derivations of other global types (1):
  Stub (as extension base)
- As direct type of elements (2):

  finalStub (in stubCalculationPeriodAmount), | initialStub (in stubCalculationPeriodAmount)

Annotation
A type defining how a stub calculation period amount is calculated. A single floating rate tenor different to that used for the regular part of the calculation periods schedule may be specified, or two floating rate tenors many be specified. If two floating rate tenors are specified then Linear Interpolation (in accordance with the 2000 ISDA Definitions, Section 8.3 Interpolation) is assumed to apply. Alternatively, an actual known stub rate or stub amount may be specified.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="StubValue"> <xsd:choice> <xsd:element maxOccurs="2" minOccurs="0" name="floatingRate" type="FloatingRate"/> <xsd:element minOccurs="0" name="stubRate" type="xsd:decimal"/> <xsd:element minOccurs="0" name="stubAmount" type="Money"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
floatingRate

  Type: | FloatingRate, complex content

  The rates to be applied to the initial or final stub may be the linear interpolation of two different rates. While the majority of the time, the rate indices will be the same as that specified in the stream and only the tenor itself will be different, it is possible to specift two different rates. For example, a 2 month stub period may use the linear interpolation of a 1 month and 3 month rate. The different rates would be specified in this component. Note that a maximum of two rates can be specified. If a stub period uses the same floating rate index, including tenor, as the regular calculation periods then this should not be specified again within this component, i.e. the stub calculation period amount component may not need to be specified even if there is an initial or final stub period. If a stub period uses a different floating rate index compared to the regular calculation periods then this should be specified within this component. If specified here, they are likely to have id attributes, allowing them to be referenced from within the cashflows component.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="2" minOccurs="0" name="floatingRate" type="FloatingRate"/>

stubAmount

  Type: | Money, complex content

  An actual amount to apply for the initial or final stub period may have been agreed between th two parties. If an actual stub amount has been agreed then it would be included in this component.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="stubAmount" type="Money"/>

stubRate

  Type: | xsd:decimal, predefined, simple content

  An actual rate to apply for the initial or final stub period may have been agreed between the principal parties (in a similar way to how an initial rate may have been agreed for the first regular period). If an actual stub rate has been agreed then it would be included in this component. It will be a per annum rate, expressed as a decimal. A stub rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="stubRate" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.